std::isalnum(std::locale)(3)

NAME
std::isalnum(std::locale) - std::isalnum(std::locale)

Synopsis
   Defined in header <locale>
   template< class charT >
   bool isalnum( charT ch, const locale& loc );
   Checks if the given character classified as an alphanumeric character by the given
   locale's std::ctype facet.

Parameters
   ch - character
   loc - locale

Return value
   Returns true if the character is classified as alphanumeric, false otherwise.

Possible implementation
   template< class charT >
   bool isalnum( charT ch, const std::locale& loc ) {
       return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::alnum, ch);
   }

Example
   Demonstrates the use of isalnum() with different locales (OS-specific). // Run this code
 #include <iostream>
 #include <locale>
 int main()
 {
     const wchar_t c = L'\u2135'; // mathematical symbol aleph
     std::locale loc1("C");
     std::cout << "isalnum('ℵ', C locale) returned "
                << std::boolalpha << std::isalnum(c, loc1) << '\n';
     std::locale loc2("en_US.UTF-8");
     std::cout << "isalnum('ℵ', Unicode locale) returned "
               << std::boolalpha << std::isalnum(c, loc2) << '\n';
 }

Output:
 isalnum('ℵ', C locale) returned false
 isalnum('ℵ', Unicode locale) returned true

See also
   isalnum checks if a character is alphanumeric
            (function)
   iswalnum checks if a wide character is alphanumeric
            (function)